# To use this manually you should use this command from the project base directory
# docker build . -f year-planner-docker\src\main\docker\Dockerfile
#
# Or from this in the same directory
# docker build ../../../.. -f Dockerfile -t year-planner

FROM eclipse-temurin:21-alpine

RUN apk add --no-cache --update \
    curl \
    && rm -rf /var/cache/apk/*

HEALTHCHECK --interval=5s --timeout=2s --retries=12 \
  CMD curl --silent --fail localhost:8080/actuator/health || exit 1

COPY year-planner-spring-boot/target/year-planner-spring-boot*.jar /opt/year-planner/year-planner.jar
ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/opt/year-planner/year-planner.jar"]
